# withXml

abstract fun withXml(action: Action<in XmlProvider>)

Allow configuration of the descriptor, after it has been generated according to the input data.

    plugins {
        id 'ivy-publish'
    }

    publishing {
      publications {
        ivy(IvyPublication) {
          descriptor {
            withXml {
              asNode().dependencies.dependency.find { it.@org == "junit" }.@rev = "4.10"
            }
          }
        }
      }
    }

Content copied to clipboard
Note that due to Gradle's internal type conversion system, you can pass a Groovy closure to this method and it will be automatically converted to an `Action`.

Each action/closure passed to this method will be stored as a callback, and executed when the publication that this descriptor is attached to is published.

For details on the structure of the XML to be modified, see the Ivy Module Descriptor reference.

#### Parameters

action

The configuration action.

#### See also

IvyPublication
XmlProvider